%define name python-psyco
%define version 1.4
%define release 1mdk
%define oname psyco

Summary: Python Specializing Compiler
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/%oname/%oname-%version-src.tar.bz2
Source1: psyco-1.1.1-docs.tar.bz2
License: MIT
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libpython-devel
Provides: psyco
Obsoletes: psyco
Url: http://psyco.sourceforge.net
Exclusivearch: %ix86

%description
Psyco is a Python extension module which can massively speed up the
execution of any Python code.

%package docs
Group: Development/Python
Summary: Programmer's documentation for Psyco

%description docs
Psyco is a Python extension module which can massively speed up the
execution of any Python code.

This package contains the developer's documentation for %name in HTML
and PostScript formats.

%prep
%setup -q -n %oname-%version -a 1

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc *.txt
%_libdir/python%pyver/site-packages/psyco

%files docs 
%defattr(-,root,root)
%doc Documentation/*

%changelog
* Fri Feb 18 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.4-1mdk
- provide and obsolete psyco
- New release 1.4

* Tue Dec  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3-2mdk
- update description

* Mon Dec  6 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3-1mdk
- New release 1.3

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 1.2-2mdk
- Rebuild for new python

* Thu Mar  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2-1mdk
- new version

* Mon Sep  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-1mdk
- include prebuilt docs from debian, we don't have python's mkhowto
- initial package
